Bug 123124 - text to columns with fixed width fails on very long columns
Summary: text to columns with fixed width fails on very long columns
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-02 15:10 UTC by Nobs Wolf
Modified: 2021-03-04 12:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (12.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-02-03 06:28 UTC, Nobs Wolf
Details
screenshot (119.84 KB, image/png)
2019-02-03 06:30 UTC, Nobs Wolf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nobs Wolf 2019-02-02 15:10:32 UTC
Description:
When chopping a really long column into pieces with a fixed width, only the widths of the first view rows are considered. Then you get a warning that the result will spread over already filled cells.

Steps to Reproduce:
1. load a document with lots of rows
2. split a column with a big variety of width using "fixed width"
3. try to set the width of the widest cell

Actual Results:
Step 3 is hardly possible as only the cells you are seeing in the preview are considered in the ruler.
The result is the original column is spread over several columns, maybe even overwriting existing cells. You don't have real control over it.

Expected Results:
The ruler should show the true width of the widest cell.

Or there should be a rule that only the columns shown in the ruler are used.


Reproducible: Always


User Profile Reset: No



Additional Info:
The true Version is 6.1.5 from Debian Backports (not offered in the list)

Workaround: Create a dummy entry in the first line which is for sure longer than the longest cell.
Comment 1 m.a.riosv 2019-02-03 02:56:44 UTC
Please attach a sample file, and an image of the import options windows.
Comment 2 Nobs Wolf 2019-02-03 06:28:52 UTC
Created attachment 148863 [details]
test file

Try to split entire column B to separate the xxxx from the yyyy. The longer entry in row 109 is not considered in the ruler of the dialog.
You could scroll down in the dialog. But imagine a file with ten thousends of lines. This is the simplest example I could imagine.
Comment 3 Nobs Wolf 2019-02-03 06:30:57 UTC
Created attachment 148864 [details]
screenshot

In the screenshot you see the narrow ruler of the dialog. It represents the width of the column of the first rows.
Comment 4 Nobs Wolf 2019-02-03 13:55:03 UTC
(In reply to Nobs Wolf from comment #0)
> widths of the first view rows are considered. Then you get a warning that

sometimes I doubt on my english ... 

-> widths of the first FEW rows are considered. Then you get a warning that
Comment 5 m.a.riosv 2019-02-04 10:40:19 UTC
Right about the issue to show the wider column without go to it.

But for me it's split correctly in two cells.
Comment 6 Nobs Wolf 2019-02-04 15:38:17 UTC
(In reply to m.a.riosv from comment #5)
> Right about the issue to show the wider column without go to it.
> 
> But for me it's split correctly in two cells.

I did some more tests: 

It depends on how you used this feature before. 

Try using it on a wide column and set some more splits. You can even do that in my example. You can stop when the warning about overwriting existing cells appears.

Then start over and split column B in my example. If you scroll down to row 109 you see all the split points you set before. And they will get used even when they are not visible.

So maybe the fix could be: Don't use split-points that are not visible in the ruler.
Comment 7 slavaf2000 2019-03-02 17:35:39 UTC
I also suggest to add a button to remove all split points, because previously used split points that are far to the right on the ruler may not be visible if working with shorter text afterwards, and therefore impossible to remove. These additional invisible points sometimes split the text in ways I don't expect, overwriting content of cell to the right of the cell being split.
Comment 8 QA Administrators 2021-03-02 03:48:07 UTC Comment hidden (obsolete)
Comment 9 Roman Kuznetsov 2021-03-04 12:24:24 UTC
Still repro in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 722ec600e85cca2e94e82e69f8d13773061172b9
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded